Bug 55019 - <jsp:include page="blabla" flush="true"/> failed to compile under security manager
<jsp:include page="blabla" flush="true"/> failed to compile under security ma...
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Jasper
unspecified
PC Linux
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-05-27 12:55 UTC by jfclere
Modified: 2013-09-09 12:54 UTC (History)
0 users



Attachments
Patch to fix the problem (459 bytes, patch)
2013-05-27 12:55 UTC, jfclere
Details | Diff
Simple webapp to show the problem (10.00 KB, application/x-tar)
2013-05-27 12:59 UTC, jfclere
Details
patch on SecurityClassLoad (574 bytes, patch)
2013-05-28 11:41 UTC, jfclere
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jfclere 2013-05-27 12:55:28 UTC
Created attachment 30328 [details]
Patch to fix the problem

With 2 JSP on including the other with <jsp:include page="blabla" flush="true"/>
you get:
java.lang.RuntimePermission accessClassInPackage.org.apache.coyote.http11 when calling the jsp the first time subsequent requests are working.
Comment 1 jfclere 2013-05-27 12:59:37 UTC
Created attachment 30329 [details]
Simple webapp to show the problem

extract jar in webapp
start tomcat
bin/catalina.sh start -security
curl -v curl -v http://localhost:8080/smtest/test.jsp
error
curl -v curl -v http://localhost:8080/smtest/test.jsp
ok
Comment 2 jfclere 2013-05-28 11:41:57 UTC
Created attachment 30336 [details]
patch on SecurityClassLoad
Comment 3 Mark Thomas 2013-09-09 12:54:27 UTC
Patch applied to 6.0.x. This will be included in 6.0.38 onwards.